<?php
// gestion des divisions :
$tabCodesSeq = array();
require_once('./include/basiccolors.php');
$tabCodesSeqColors = array();
$liste_codes = mysqli_query($bdd,"SELECT brik.code, brik.close, brik.seance, edtcode.code_id, edtcode.bgcolor_code FROM ".$prefix."_edtbrik brik INNER JOIN ".$prefix."_edtcode edtcode ON brik.code = edtcode.code GROUP BY brik.code ORDER BY edtcode.code_id ASC");
while($listecod = mysqli_fetch_assoc($liste_codes)) {
	array_push($tabCodesSeq, $listecod['code']);
	array_push($tabCodesSeqColors, $listecod['bgcolor_code']);
}
$tabTxtLibre = array();
$tabTxtLibreColors = array();
$liste_txtlibre = mysqli_query($bdd,"SELECT textelibre, close, seance FROM ".$prefix."_edtbrik WHERE textelibre != '' GROUP BY textelibre ORDER BY textelibre ASC");
$i=0;
while($listetxt = mysqli_fetch_assoc($liste_txtlibre)) {
	array_push($tabTxtLibre, $listetxt['textelibre']);
	array_push($tabTxtLibreColors, $basicColors[$i]);
	$i++;
	if($i==20) { $i=0; }
}
?>